﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;
using GestionDeCommerceInfoClasseBDDNCouches; //Class
using GestionDeCommerceInfoClasseBDDNCouches.DataLayer; //Couche d'acces

namespace Gestion_de_commerce_Informatique
{
    static class Program
    {
        /// <summary>
        /// Point d'entrée principal de l'application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Utilisateur user ;
            List<Utilisateur> lusers;
            List<Utilisateur> lusersTN;
            List<Utilisateur> lusersTP;
            BDDAccesUtilisateur b = new BDDAccesUtilisateur(Settings1.Default.ChaineDeConnection);

            //b.AjouterUtilisateur(new Utilisateur("Nom 1", "pre 1", "Rue du bout du monde 50 4607 dalhem", "BE54165314", "sildjfghlsidh@yopmail.com", Utilisateur.Type_E.Client));
            //b.AjouterUtilisateur(new Utilisateur("Nom 2", "pre 2", "Rue du bout du monde 52 4607 dalhem", "BE54165315", "sildjfgh3sidh@yopmail.com", Utilisateur.Type_E.Commercant));
            //b.AjouterUtilisateur(new Utilisateur("Nom 3", "pre 3", "Rue du bout du monde 53 4607 dalhem", "BE54165316", "sildjfgh4sidh@yopmail.com", Utilisateur.Type_E.Fournisseur));
            //b.AjouterUtilisateur(new Utilisateur("Adrien", "Van", "Rue du bout du monde 50 4607 dalhem", "BE54165314", "sildjfghlsidh@yopmail.com", Utilisateur.Type_E.Client));
            //b.AjouterUtilisateur(new Utilisateur("Berni", "Du bois", "Rue du bout du monde 50 4607 dalhem", "BE54165314", "sildjfghlsidh@yopmail.com", Utilisateur.Type_E.Client));

            user = b.LireUtilisateur(1);
            lusers = b.ListUtilisateurs(Utilisateur.Tri_E.NONE);
            lusersTN = b.ListUtilisateurs(Utilisateur.Tri_E.NOM);
            lusersTP = b.ListUtilisateurs(Utilisateur.Tri_E.PRENOM);


            //Console.WriteLine(l.ToString());
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }
    }
}
